package net.wanji.opt.dto.export;

import java.util.HashMap;
import java.util.Map;

/**
 * 转向级别映射
 */
public class TurnMapping {
    public static final Map<String, String> CYCLE_DATA_FIELD_MAPPING = new HashMap<>();

    static {
        // CycleDataElement 字段映射
        CYCLE_DATA_FIELD_MAPPING.put("time", "time");
        CYCLE_DATA_FIELD_MAPPING.put("flow", "flow");
        CYCLE_DATA_FIELD_MAPPING.put("inDir", "inDir");
        CYCLE_DATA_FIELD_MAPPING.put("inDirName", "inDirName");
        CYCLE_DATA_FIELD_MAPPING.put("turnType", "turnType");
        CYCLE_DATA_FIELD_MAPPING.put("turnTypeName", "turnTypeName");
        CYCLE_DATA_FIELD_MAPPING.put("allFlow", "allFlow");
        CYCLE_DATA_FIELD_MAPPING.put("pedFlow", "pedFlow");
        CYCLE_DATA_FIELD_MAPPING.put("nonMotorFlow", "nonMotorFlow");
        CYCLE_DATA_FIELD_MAPPING.put("trafficFlowC", "trafficFlowC");
        CYCLE_DATA_FIELD_MAPPING.put("trafficFlowB", "trafficFlowB");
        CYCLE_DATA_FIELD_MAPPING.put("trafficFlowA", "trafficFlowA");
        CYCLE_DATA_FIELD_MAPPING.put("speed", "speed");
        CYCLE_DATA_FIELD_MAPPING.put("vehheadDist", "vehheadDist");
        CYCLE_DATA_FIELD_MAPPING.put("vehheadTime", "vehheadTime");
        CYCLE_DATA_FIELD_MAPPING.put("queueLength", "queueLength");
        CYCLE_DATA_FIELD_MAPPING.put("stopTimes", "stopTimes");
        CYCLE_DATA_FIELD_MAPPING.put("laneSort", "laneSort");
        CYCLE_DATA_FIELD_MAPPING.put("delayTime", "delayTime");
        CYCLE_DATA_FIELD_MAPPING.put("efficiencyIndex", "efficiencyIndex");
        CYCLE_DATA_FIELD_MAPPING.put("efficiencyEvaluateLevel", "efficiencyEvaluateLevel");
        CYCLE_DATA_FIELD_MAPPING.put("saturation", "saturation");
        CYCLE_DATA_FIELD_MAPPING.put("congestionIndex", "congestionIndex");
        CYCLE_DATA_FIELD_MAPPING.put("overflowIndex", "overflowIndex");
        CYCLE_DATA_FIELD_MAPPING.put("imbalanceIndex", "imbalanceIndex");
        CYCLE_DATA_FIELD_MAPPING.put("timeOccupancy", "timeOccupancy");
        CYCLE_DATA_FIELD_MAPPING.put("vehicleNumsRatioMean", "vehicleNumsRatioMean");
        CYCLE_DATA_FIELD_MAPPING.put("v85", "v85");
        CYCLE_DATA_FIELD_MAPPING.put("serviceLevel", "serviceLevel");
        CYCLE_DATA_FIELD_MAPPING.put("congestionTimes", "congestionTimes");
        CYCLE_DATA_FIELD_MAPPING.put("overflowTimes", "overflowTimes");
        CYCLE_DATA_FIELD_MAPPING.put("imbalanceTimes", "imbalanceTimes");
        CYCLE_DATA_FIELD_MAPPING.put("freeFlowTimes", "freeFlowTimes");
        CYCLE_DATA_FIELD_MAPPING.put("overflowRate", "overflowRate");
        CYCLE_DATA_FIELD_MAPPING.put("conflictPoint", "conflictPoint");
        CYCLE_DATA_FIELD_MAPPING.put("safetyCoefficient", "safetyCoefficient");
        CYCLE_DATA_FIELD_MAPPING.put("safetyEvaluateLevel", "safetyEvaluateLevel");
        CYCLE_DATA_FIELD_MAPPING.put("trafficEventNum", "trafficEventNum");
        CYCLE_DATA_FIELD_MAPPING.put("trafficAccidentNum", "trafficAccidentNum");
        CYCLE_DATA_FIELD_MAPPING.put("noStopPassRate", "noStopPassRate");
        CYCLE_DATA_FIELD_MAPPING.put("oneStopPassRate", "oneStopPassRate");
        CYCLE_DATA_FIELD_MAPPING.put("twoStopPassRate", "twoStopPassRate");
        CYCLE_DATA_FIELD_MAPPING.put("crossNoClearRate", "crossNoClearRate");
        CYCLE_DATA_FIELD_MAPPING.put("avgQueueLength", "avgQueueLength");
        CYCLE_DATA_FIELD_MAPPING.put("greenLightEfficiency", "greenLightEfficiency");
        CYCLE_DATA_FIELD_MAPPING.put("pedAvgPassTime", "pedAvgPassTime");
        CYCLE_DATA_FIELD_MAPPING.put("pedCrossRedLightRate", "pedCrossRedLightRate");
        CYCLE_DATA_FIELD_MAPPING.put("allVehiceleFlow", "allVehiceleFlow");


    }
}
